program foo
   implicit none
   complex*8 c(0:20)
   integer i
   real*4 phase

   do i = 0, 20
      phase = 2.0 * i * 3.1415927 / 20
      c(i) = cmplx(cos(phase), sin(phase))
   end do
   do i = 0, 20
      write(*,'(i2 a f11.8 a f11.8 a z8.8 a z8.8 a)') &
         i, ': ',                       &
         real(c(i)), ' ', aimag(c(i)),  &
         '  (',                         &
         real(c(i)), ' ', aimag(c(i)),  &
         ')'
   end do
end ! program foo
